Search documentation of Plushie

# Plushie.Type.MouseButton (Plushie v0.7.2)

Copy Markdown View Source

Event field type for mouse buttons.

Parses wire-format mouse button strings into atoms.

## Examples

    iex> Plushie.Type.MouseButton.parse("left")
    {:ok, :left}

    iex> Plushie.Type.MouseButton.parse("right")
    {:ok, :right}

    iex> Plushie.Type.MouseButton.parse("unknown")
    :error

## Summary

### Functions

parse(value)

## Functions

# parse(value)

    @spec parse(value :: term()) ::
      {:ok, :left | :right | :middle | :back | :forward} | :error